# {{ my_ansible_managed }}

syslocation {{ snmp_syslocation }}
syscontact {{ snmp_syscontact }}

# SNMPv2 ACLs
{% for manager in snmp_managers or [] %}
rocommunity public {{ manager }}
{% endfor %}
{% for manager in snmp_managers6 or [] %}
rocommunity6 public {{ manager }}
{% endfor %}


# SNMPv3 users
{% for user in snmp_users or [] %}
createUser {{user.name}} SHA {{ user.pass | trim }} AES
rouser {{user.name}} priv
{% endfor %}
